%{!?perl_vendorlib: %define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Name:           perl-Config-IniFiles
Version:        2.38
Release:        0.fdr.2.2
Epoch:          0
Summary:        A module for reading .ini-style configuration files

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Config-IniFiles/
Source0:   http://www.cpan.org/authors/id/W/WA/WADG/Config-IniFiles-2.38.tar.gz
Patch0:         http://rt.cpan.org/NoAuth/Attachment/7150/9132/Config-IniFiles-2.38-t-00load.t.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.1
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Config::IniFiles provides a way to have readable configuration files
outside your Perl script. Configurations can be imported (inherited,
stacked,...), sections can be grouped, and settings can be accessed
from a tied hash.


%prep
%setup -q -n Config-IniFiles-%{version}
%patch0 -p1
chmod 644 README *.pm


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check || :
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%{perl_vendorlib}/Config/
%{_mandir}/man3/*.3*


%changelog
* Tue May 25 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:2.38-0.fdr.2
- Patch URI generated from the RT entry as suggested (bug 1625)

* Thu May 20 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:2.38-0.fdr.1
- Patch: http://rt.cpan.org/NoAuth/Bug.html?id=2584
- First build.
